### Method

# Vips Image map

#### Declaration [src]

    void*
    vips_image_map (
      VipsImage* image,
      VipsImageMapFn fn,
      void* a
    )

#### Description [src]

This function calls `fn` for every header field, including every item of metadata.

Like all _map functions, the user function should return `NULL` to continue iteration, or a non-`NULL` pointer to indicate early termination.

See also

`vips_image_get_typeof()`, `vips_image_get()`.

#### Parameters

`fn`

  Type: `VipsImageMapFn`

  Function to call for each header field.

`a`

  Type: `void*`

  User data for `fn`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `void*`

`NULL` on success, the failing pointer otherwise.

The returned data is owned by the instance.
The return value can be `NULL`.